Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSettings.Format

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QSettings.Format

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSettings

    public static final class QSettings.Format

extends java.lang.Enum
implements QtEnumerator

This enum type specifies the storage format used by `QSettings`. On Unix, `NativeFormat` and `IniFormat` mean the same thing, except that the file extension is different (`.conf` for `NativeFormat` , `.ini` for `IniFormat` ).

The INI file format is a Windows file format that Qt supports on all platforms. In the absence of an INI standard, we try to follow what Microsoft does, with the following exceptions:

- If you store types that `QVariant` can't convert to QString (e.g., `QPoint`, `QRect`, and `QSize`), Qt uses an `@`-based syntax to encode the type. For example:

              pos = @Point(100 100)

  To minimize compatibility issues, any `@` that doesn't appear at the first position in the value or that isn't followed by a Qt type (`Point`, `Rect`, `Size`, etc.) is treated as a normal character.
- Although backslash is a special character in INI files, most Windows applications don't escape backslashes (`\`) in file paths:

              windir = C:\Windows

  `QSettings` always treats backslash as a special character and provides no API for reading or writing such entries.
- The INI file format has severe restrictions on the syntax of a key. Qt works around this by using `%` as an escape character in keys. In addition, if you save a top-level setting (a key with no slashes in it, e.g., "someKey"), it will appear in the INI file's "General" section. To avoid overwriting other keys, if you save something using the a key such as "General/someKey", the key will be located in the "%General" section, not in the "General" section.

See also:
  registerFormat(), and `setPath()`.

See Also:
  Serialized Form

Field Summary
`static QSettings.Format` | `CustomFormat1`
`static QSettings.Format` | `CustomFormat10`
`static QSettings.Format` | `CustomFormat11`
`static QSettings.Format` | `CustomFormat12`
`static QSettings.Format` | `CustomFormat13`
`static QSettings.Format` | `CustomFormat14`
`static QSettings.Format` | `CustomFormat15`
`static QSettings.Format` | `CustomFormat16`
`static QSettings.Format` | `CustomFormat2`
`static QSettings.Format` | `CustomFormat3`
`static QSettings.Format` | `CustomFormat4`
`static QSettings.Format` | `CustomFormat5`
`static QSettings.Format` | `CustomFormat6`
`static QSettings.Format` | `CustomFormat7`
`static QSettings.Format` | `CustomFormat8`
`static QSettings.Format` | `CustomFormat9`
`static QSettings.Format` | `IniFormat` Store the settings in INI files.
`static QSettings.Format` | `InvalidFormat` Special value returned by registerFormat().
`static QSettings.Format` | `NativeFormat` Store the settings using the most appropriate storage format for the platform.

Method Summary
`static QSettings.Format` | `resolve(int value)` Returns the QSettings$Format constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSettings.Format` | `valueOf(java.lang.String name)`
`static QSettings.Format[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NativeFormat

    public static final QSettings.Format NativeFormat

  Store the settings using the most appropriate storage format for the platform. On Windows, this means the system registry; on Mac OS X, this means the CFPreferences API; on Unix, this means textual configuration files in INI format.

### IniFormat

    public static final QSettings.Format IniFormat

  Store the settings in INI files.

### InvalidFormat

    public static final QSettings.Format InvalidFormat

  Special value returned by registerFormat().

### CustomFormat1

    public static final QSettings.Format CustomFormat1

### CustomFormat2

    public static final QSettings.Format CustomFormat2

### CustomFormat3

    public static final QSettings.Format CustomFormat3

### CustomFormat4

    public static final QSettings.Format CustomFormat4

### CustomFormat5

    public static final QSettings.Format CustomFormat5

### CustomFormat6

    public static final QSettings.Format CustomFormat6

### CustomFormat7

    public static final QSettings.Format CustomFormat7

### CustomFormat8

    public static final QSettings.Format CustomFormat8

### CustomFormat9

    public static final QSettings.Format CustomFormat9

### CustomFormat10

    public static final QSettings.Format CustomFormat10

### CustomFormat11

    public static final QSettings.Format CustomFormat11

### CustomFormat12

    public static final QSettings.Format CustomFormat12

### CustomFormat13

    public static final QSettings.Format CustomFormat13

### CustomFormat14

    public static final QSettings.Format CustomFormat14

### CustomFormat15

    public static final QSettings.Format CustomFormat15

### CustomFormat16

    public static final QSettings.Format CustomFormat16

Method Detail

### values

    public static QSettings.Format[] values()

### valueOf

    public static QSettings.Format valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSettings.Format resolve(int value)

  Returns the QSettings$Format constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD